summaryrefslogtreecommitdiff
path: root/herbstluftwm/spterm
diff options
context:
space:
mode:
Diffstat (limited to 'herbstluftwm/spterm')
-rwxr-xr-xherbstluftwm/spterm18
1 files changed, 18 insertions, 0 deletions
diff --git a/herbstluftwm/spterm b/herbstluftwm/spterm
new file mode 100755
index 0000000..67f4f60
--- /dev/null
+++ b/herbstluftwm/spterm
@@ -0,0 +1,18 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:spterm
+if xdotool search --onlyvisible --classname 'spterm'; then
+ if [ $(herbstclient list_monitors | grep '[FOCUS]' | cut -d\" -f2) = $(herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/"//g') ]; then
+ xdotool search -onlyvisible -classname 'spterm' windowunmap
+ exit
+ fi
+fi
+if [ -f $scratchpad ]; then
+ if ! herbstclient bring $(cat $scratchpad); then
+ xdotool search -classname 'spterm' windowmap && exit
+ fi
+fi
+if ! xdotool search --classname 'spterm' windowmap; then
+ st -t ‘spterm’ -n 'spterm' &
+ xdotool search -sync -onlyvisible -classname 'spterm'
+ herbstclient attr clients.focus.winid > $scratchpad
+fi